> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datawizz.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit Log

> Edit an existing log in the system



## OpenAPI

````yaml PATCH /log/{id}
openapi: 3.0.1
info:
  title: Datawizz
  description: The Datawizz API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://www.datawizz.app/api
    description: Datawizz Dashboard API
  - url: https://gw.datawizz.app
    description: Datawizz AI Gateway
security:
  - bearerAuth: []
paths:
  /log/{id}:
    patch:
      description: Edit an existing log in the system
      parameters:
        - name: id
          in: path
          description: >-
            The ID of the log being edited. This will be included in the chat
            completion response
          required: true
          schema:
            type: string
      requestBody:
        description: UpdateLog object that needs to be updated
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateLog'
      responses:
        '200':
          description: Ok response
          content:
            text/plain:
              schema:
                type: string
                example: Ok
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                type: string
                example: Invalid API Key
        '404':
          description: Log not found
          content:
            text/plain:
              schema:
                type: string
                example: Log not found
components:
  schemas:
    UpdateLog:
      type: object
      properties:
        input:
          $ref: '#/components/schemas/Json'
          description: The input data for the log
        meta_tags:
          type: array
          items:
            type: string
          description: >-
            The meta tags for the log - this value will override the existing
            meta tags
        metadata:
          $ref: '#/components/schemas/Json'
          nullable: true
          description: >-
            The metadata for the log - this value will override the existing
            metadata
        output:
          $ref: '#/components/schemas/Json'
          description: The output data for the log
    Json:
      type: object
      additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````